> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse storefronts



## OpenAPI

````yaml /openapi/buyer.yaml get /api/v2/buyer/storefronts
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
paths:
  /api/v2/buyer/storefronts:
    get:
      tags:
        - Storefronts
      summary: Browse storefronts
      operationId: getBuyerStorefronts
      parameters:
        - name: name
          in: query
          required: false
          schema:
            type: string
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - configuring
              - transacting
              - archived
        - name: channel
          in: query
          required: false
          schema:
            type: string
            enum:
              - display
              - olv
              - social
              - search
              - ctv
              - linear_tv
              - radio
              - streaming_audio
              - podcast
              - dooh
              - ooh
              - print
              - cinema
              - email
              - gaming
              - retail_media
              - influencer
              - affiliate
              - product_placement
              - sponsored_intelligence
        - name: region
          in: query
          required: false
          schema:
            type: string
            enum:
              - EMEA
              - NAM
              - LATAM
              - APAC
              - WORLDWIDE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            storefrontId:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            sellerId:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            platformId:
                              type: string
                            name:
                              type: string
                            logoUrl:
                              type:
                                - string
                                - 'null'
                            description:
                              type:
                                - string
                                - 'null'
                            channels:
                              type: array
                              items:
                                type: string
                                enum:
                                  - display
                                  - olv
                                  - social
                                  - search
                                  - ctv
                                  - linear_tv
                                  - radio
                                  - streaming_audio
                                  - podcast
                                  - dooh
                                  - ooh
                                  - print
                                  - cinema
                                  - email
                                  - gaming
                                  - retail_media
                                  - influencer
                                  - affiliate
                                  - product_placement
                                  - sponsored_intelligence
                            regions:
                              type: array
                              items:
                                type: string
                                enum:
                                  - EMEA
                                  - NAM
                                  - LATAM
                                  - APAC
                                  - WORLDWIDE
                            displayStatus:
                              type: string
                              enum:
                                - configuring
                                - transacting
                                - archived
                            readiness:
                              type: object
                              properties:
                                canTransact:
                                  type: boolean
                                effectiveStatus:
                                  type: string
                              required:
                                - canTransact
                                - effectiveStatus
                              additionalProperties: false
                            agentUrl:
                              type: string
                          required:
                            - storefrontId
                            - sellerId
                            - platformId
                            - name
                            - logoUrl
                            - description
                            - channels
                            - regions
                            - displayStatus
                            - readiness
                            - agentUrl
                          additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                  meta:
                    type: object
                    properties:
                      pagination:
                        anyOf:
                          - type: object
                            properties:
                              skip:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              take:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              total:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              hasMore:
                                type: boolean
                            required:
                              - skip
                              - take
                              - total
                              - hasMore
                            additionalProperties: false
                          - type: object
                            properties:
                              nextCursor:
                                type:
                                  - string
                                  - 'null'
                              hasMore:
                                type: boolean
                            required:
                              - nextCursor
                              - hasMore
                            additionalProperties: false
                          - type: object
                            properties:
                              limit:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              offset:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              nextOffset:
                                anyOf:
                                  - type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  - type: 'null'
                            required:
                              - limit
                              - offset
                              - nextOffset
                            additionalProperties: false
                    additionalProperties: false
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````